function hnd=sph_hankel2_diff(x,N)

x=x(:);

ofs=1;
hnd=zeros(length(x),N+1);
hn=sph_hankel2(x,N);

%% differentiated spherical hankel function:
hnd(:,0+ofs)=exp(-i*x).*(x-i)./x.^2;
if N>0
   for n=1:N
      hnd(:,n+ofs)=hn(:,n-1+ofs)-(n+1)./x.*hn(:,n+ofs);
   end
end




